Represents the completion of an asynchronous operation

### Type parameters

- #### T

### Hierarchy

- Promise

## Index

### Methods

- finally

## Methods

### finally

- finally(onfinally?: function | undefined | null): Promise<T>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2018.promise.d.ts:31

  Attaches a callback that is invoked when the Promise is settled (fulfilled or rejected). The resolved value cannot be modified from the callback.

  #### Parameters

  - ##### Optional onfinally: function | undefined | null

    The callback to execute when the Promise is settled (fulfilled or rejected).

  #### Returns Promise<T>

  A Promise for the completion of the callback.

Generated using TypeDoc